The JUnit test framework (https://junit.org)

Backend: pants.backend.experimental.java
Config section: [junit]

Basic options

args

--junit-args="[<shell_str>, <shell_str>, ...]", ... -- [<shell_str> [<shell_str> [...]]]
PANTS_JUNIT_ARGS
default: []

Arguments to pass directly to JUnit, e.g. --junit-args='--disable-ansi-colors'.


Advanced options

version

--junit-version=<str>
PANTS_JUNIT_VERSION
default: 5.7.2

Version string for the tool. This is available for substitution in the [junit].artifacts option by including the string {version}.


artifacts

--junit-artifacts="['<str>', '<str>', ...]"
PANTS_JUNIT_ARTIFACTS
default:
[
  "org.junit.platform:junit-platform-console:1.7.2",
  "org.junit.jupiter:junit-jupiter-engine:{version}",
  "org.junit.vintage:junit-vintage-engine:{version}"
]

Artifact requirements for this tool using specified as either the address of a jvm_artifact target or, alternatively, as a colon-separated Maven coordinates (e.g., group:name:version). For Maven coordinates, the string {version} version will be substituted with the value of the [junit].version option.


lockfile

--junit-lockfile=<str>
PANTS_JUNIT_LOCKFILE
default: <default>

Path to a lockfile used for installing the tool.

Set to the string <default> to use a lockfile provided by Pants, so long as you have not changed the --version option. See https://github.com/pantsbuild/pants/blob/release_2.11.1rc2/src/python/pants/jvm/test/junit.default.lockfile.txt for the default lockfile contents.

To use a custom lockfile, set this option to a file path relative to the build root, then run ./pants jvm-generate-lockfiles --resolve=junit.


Deprecated options

None


Did this page help you?